diff --git a/src/racket/configure.ac b/src/racket/configure.ac
index dc2ed97..32519d2 100644
--- a/src/racket/configure.ac
+++ b/src/racket/configure.ac
@@ -770,12 +770,12 @@ AC_LANG_C
 
 [ msg="for inline keyword" ]
 AC_MSG_CHECKING($msg)
-AC_TRY_RUN(
+AC_COMPILE_IFELSE(
    static inline int foo() { return 0; }
    int main() {
       return foo();
    }, 
-  inline=yes, inline=no, inline=no)
+  inline=yes, inline=no)
 if test "$inline" = "no" ; then
   MZOPTIONS="$MZOPTIONS -DNO_INLINE_KEYWORD"
 fi
@@ -783,16 +783,16 @@ AC_MSG_RESULT($inline)
 
 [ msg="for noinline attribute" ]
 AC_MSG_CHECKING($msg)
-AC_TRY_RUN(
+AC_COMPILE_IFELSE(
    static int foo() __attribute__ ((noinline));
    static int foo() { return 0; }
    int main() {
       return foo();
-   }, noinline=yes, noinline=no, noinline=no)
+   }, noinline=yes, noinline=no)
 if test "$noinline" = "yes" ; then
   AC_DEFINE(MZ_USE_NOINLINE,1,[Have noinline attribute])
 fi
-AC_MSG_RESULT($inline) 
+AC_MSG_RESULT($noinline) 
 
 [ msg="for GNU preprocessor" ]
 AC_MSG_CHECKING($msg)
